> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update group properties

> Updates a property value within a group as the property location. This operation doesn't overwrite the existing values.

**Required scopes:** <Tooltip tip="If the requester's Client ID matches the namespace.">`properties.group.value--my:rw`</Tooltip> <Tooltip tip="If the requester's Client ID doesn't match the namespace. Allows setting all properties from your namespace and public properties from other namespaces.">`properties.group.value--all:rw`</Tooltip>


## OpenAPI

````yaml /api/configuration/v3.6/openapi.json post /action/update_group_properties
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.6
servers:
  - url: https://api.livechatinc.com/v3.6/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/update_group_properties:
    post:
      tags:
        - Properties
      summary: Update group properties
      description: >-
        Updates a property value within a group as the property location. This
        operation doesn't overwrite the existing values.
      operationId: update-group-properties
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateGroupPropertiesRequest'
            example:
              group_id: 1
              properties:
                0805e283233042b37f460ed8fbf22160:
                  string_property: group property value
      responses:
        '200':
          description: Group properties updated successfully.
components:
  schemas:
    UpdateGroupPropertiesRequest:
      type: object
      required:
        - group_id
        - properties
      properties:
        group_id:
          type: integer
          description: The ID of the group you set the properties for.
        properties:
          $ref: '#/components/schemas/PropertyNamespaceMap'
    PropertyNamespaceMap:
      type: object
      description: An object with namespaces as keys and property objects as values.
      additionalProperties:
        $ref: '#/components/schemas/PropertyNamespaceValues'
    PropertyNamespaceValues:
      type: object
      description: An object with property names as keys and their values.
      additionalProperties: {}
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````